import request from '@/utils/request'

// 查询我的意愿学校记录列表
export function listMallMemberExpect(query) {
  return request({
    url: '/mall/mallMemberExpect/list',
    method: 'get',
    params: query
  })
}

// 查询我的意愿学校记录详细
export function getMallMemberExpect(expectId) {
  return request({
    url: '/mall/mallMemberExpect/' + expectId,
    method: 'get'
  })
}

// 新增我的意愿学校记录
export function addMallMemberExpect(data) {
  return request({
    url: '/mall/mallMemberExpect',
    method: 'post',
    data: data
  })
}

// 修改我的意愿学校记录
export function updateMallMemberExpect(data) {
  return request({
    url: '/mall/mallMemberExpect',
    method: 'put',
    data: data
  })
}

// 删除我的意愿学校记录
export function delMallMemberExpect(expectId) {
  return request({
    url: '/mall/mallMemberExpect/' + expectId,
    method: 'delete'
  })
}
